# Generated by Django 4.0.5 on 2022-07-02 23:53

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0001_initial'),
        ('brands', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Car',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('engine_volume', models.CharField(max_length=255, verbose_name='Объём двигателя')),
                ('year_of_issue', models.CharField(max_length=255, verbose_name='Год выпуска')),
                ('color', models.CharField(max_length=255, verbose_name='Цвет')),
                ('photo', models.ImageField(upload_to='cars/photos', verbose_name='Фото')),
                ('description', models.TextField(verbose_name='Текст описания')),
                ('phone_number', models.CharField(max_length=255, verbose_name='Телефон для связи')),
                ('brand_id', models.ManyToManyField(related_name='Cars', to='brands.brand', verbose_name='ID бренда')),
                ('model_id', models.ManyToManyField(related_name='Cars', to='models.model', verbose_name='ID модели')),
                ('user_id', models.ManyToManyField(related_name='Cars', to=settings.AUTH_USER_MODEL, verbose_name='ID пользователя')),
            ],
            options={
                'verbose_name': 'Объявление',
                'verbose_name_plural': 'Объявления',
            },
        ),
    ]
